Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.jsurveyor
Class Report.InnerAnswerMultipleChoice

    java.lang.Object
      net.sourceforge.jsurveyor.Report.InnerAnswerMultipleChoice

Enclosing class:
  Report

public class Report.InnerAnswerMultipleChoice
extends java.lang.Object

This class contains all the values needed from the MultipleChoiceAnswers, like how the answers are distributed over each choice

Constructor Summary
`Report.InnerAnswerMultipleChoice()` This is the default constructor for InnerAnswerMultipleChoice
`Report.InnerAnswerMultipleChoice(java.lang.String questionText, java.lang.String[] choiceText, int[] choiceDistribution, int questionID)` This is the most used constructor for InnerAnswerMultipleChoice, which creates an instance of InnerAnswerMultipleChoice and adds it to the ArrayList innerAnswerMultipleChoice.

Method Summary
`int[]` | `getInnerAnswerMultipleChoiceDistribution()` This method return an int Array of how many answers there is at each choice
`int` | `getInnerAnswerMultipleChoiceQuestionID()` The method returns the questionID that this is the answer for.
`java.lang.String` | `getInnerAnswerMultipleChoiceQuestionText()` This method returns the questionText for it's respective instance of InnerAnswerMultipleChoice.
`java.lang.String[]` | `getInnerAnswerMultipleChoiceText()` This method returns a String Array containing each individual text for each choice

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Report.InnerAnswerMultipleChoice

    public Report.InnerAnswerMultipleChoice()

  This is the default constructor for InnerAnswerMultipleChoice

### Report.InnerAnswerMultipleChoice

    public Report.InnerAnswerMultipleChoice(java.lang.String questionText,
                                            java.lang.String[] choiceText,
                                            int[] choiceDistribution,
                                            int questionID)

  This is the most used constructor for InnerAnswerMultipleChoice, which creates an instance of InnerAnswerMultipleChoice and adds it to the ArrayList innerAnswerMultipleChoice.

Parameters:
  `questionText` - String
  `choiceText` - String[]
  `choiceDistribution` - int[]
  `questionID` - int

Method Detail

### getInnerAnswerMultipleChoiceQuestionText

    public java.lang.String getInnerAnswerMultipleChoiceQuestionText()

  This method returns the questionText for it's respective instance of InnerAnswerMultipleChoice.

  Returns:
    String

### getInnerAnswerMultipleChoiceText

    public java.lang.String[] getInnerAnswerMultipleChoiceText()

  This method returns a String Array containing each individual text for each choice

  Returns:
    String[]

### getInnerAnswerMultipleChoiceDistribution

    public int[] getInnerAnswerMultipleChoiceDistribution()

  This method return an int Array of how many answers there is at each choice

  Returns:
    int[]

### getInnerAnswerMultipleChoiceQuestionID

    public int getInnerAnswerMultipleChoiceQuestionID()

  The method returns the questionID that this is the answer for.

  Returns:
    int

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD